diff --git a/parsers/sql.c b/parsers/sql.c
index 3f66c89316..a07bc02ccd 100644
--- a/parsers/sql.c
+++ b/parsers/sql.c
@@ -2018,7 +2018,9 @@ static void parseTable (tokenInfo *const token)
 	if (isType (token, TOKEN_OPEN_PAREN))
 	{
 		if (isType (name, TOKEN_IDENTIFIER) ||
-			isType (name, TOKEN_STRING))
+			isType (name, TOKEN_STRING) ||
+			(isType (name, TOKEN_KEYWORD)
+			 && (!isReservedWord (name))))
 		{
 			makeSqlTag (name, SQLTAG_TABLE);
 			emitted = true;
